| Qore DebugLinenoiseCmdLine Module Reference 0.1

Public Member Functions | Protected Member Functions | List of all members
DebugLinenoiseCmdLine::DebugLinenoiseCommandLine Class Reference

debug linenoise command line class More...

Inherits DebugCommandLine.

## Public Member Functions
| constructor ()
| Creates the object.
| init (hash opt)
| Initializes the history and command-line session.
| printfImpl (string fmt)
| Outputs data to a linenoise-configured terminal.
| runCmdLine ()
| Sets up command-line handling with linenoise.

## Protected Member Functions
hash< auto > | getCommands ()
| Returns all commands from the subclass plus history commands added by this module.

## Detailed Description

debug linenoise command line class